/***************************************************************************************************************************
***********************************************  THE OMEGA NETWORK PROJECT   ***********************************************
**************************************** Professor : Paulo Sérgio Lopes Souza       ****************************************
**************************************** Alunos    : Henrique Pizzol Grando         ****************************************
****************************************             Igor Quintal Mendes            ****************************************
****************************************             João Victor Almeida de Aguiar  ****************************************
****************************************             Moisés Botarro Ferraz Silva    ****************************************
***************************************************************************************************************************/

package developers;

import java.net.URL;
import java.util.ResourceBundle;
import javafx.animation.FadeTransition;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Group;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;
import javafx.util.Duration;

/**
 * FXML Controller class
 *
 * @author igor
 */
public class DevelopersPortugueseController implements Initializable {
    @FXML
    private Button btnMenu;
    @FXML
    private Group group01;

    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        
        FadeTransition animation = new FadeTransition(Duration.millis(1000), group01);
        animation.setFromValue(0.0);
        animation.setToValue(1.0);
        animation.setCycleCount(1);
        animation.play();
        
    }    

    @FXML
    private void returnMenu(ActionEvent event) throws Exception {
        
        Parent root = FXMLLoader.load(getClass().getResource("/mainmenu/FXMLMainMenuPortuguese.fxml"));
        
        Scene scene = new Scene(root);
        
        Stage stage = (Stage) ((Node)event.getSource()).getScene().getWindow();
        
        stage.setScene(scene);
        stage.show(); 
    }
    
}
