/***************************************************************************************************************************
***********************************************  THE OMEGA NETWORK PROJECT   ***********************************************
**************************************** Professor : Paulo Sérgio Lopes Souza       ****************************************
**************************************** Alunos    : Henrique Pizzol Grando         ****************************************
****************************************             Igor Quintal Mendes            ****************************************
****************************************             João Victor Almeida de Aguiar  ****************************************
****************************************             Moisés Botarro Ferraz Silva    ****************************************
***************************************************************************************************************************/

package networksimulation;

import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.ResourceBundle;
import javafx.animation.FadeTransition;
import javafx.animation.FillTransition;
import javafx.animation.ParallelTransition;
import javafx.animation.PathTransition;
import javafx.animation.SequentialTransition;
import javafx.animation.StrokeTransition;
import javafx.animation.TranslateTransition;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Group;
import javafx.scene.Node;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.Pane;
import javafx.scene.paint.Color;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Line;
import javafx.scene.shape.LineTo;
import javafx.scene.shape.MoveTo;
import javafx.scene.shape.Path;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Text;
import javafx.stage.Stage;
import javafx.util.Duration;
import javafx.util.Pair;

/**
 * FXML Controller class
 *
 * @author moisesbotarro
 */

public class NetworkFrenchController implements Initializable {
    @FXML
    private Pane BackgroundPanel;
    @FXML
    private Rectangle p0;
    @FXML
    private Text p0d0;
    @FXML
    private Text p0d1;
    @FXML
    private Text p0d2;
    @FXML
    private Rectangle p1;
    @FXML
    private Text p1d2;
    @FXML
    private Text p1d1;
    @FXML
    private Text p1d0;
    @FXML
    private Rectangle p2;
    @FXML
    private Text p2d0;
    @FXML
    private Text p2d1;
    @FXML
    private Text p2d2;
    @FXML
    private Rectangle p3;
    @FXML
    private Text p3d0;
    @FXML
    private Text p3d1;
    @FXML
    private Text p3d2;
    @FXML
    private Rectangle p4;
    @FXML
    private Text p4d0;
    @FXML
    private Text p4d1;
    @FXML
    private Text p4d2;
    @FXML
    private Rectangle p5;
    @FXML
    private Text p5d0;
    @FXML
    private Text p5d1;
    @FXML
    private Text p5d2;
    @FXML
    private Rectangle p6;
    @FXML
    private Text p6d0;
    @FXML
    private Text p6d1;
    @FXML
    private Text p6d2;
    @FXML
    private Rectangle p7;
    @FXML
    private Text p7d0;
    @FXML
    private Text p7d1;
    @FXML
    private Text p7d2;
    @FXML
    private Rectangle m0;
    @FXML
    private Text m0d0;
    @FXML
    private Text m0d1;
    @FXML
    private Text m0d2;
    @FXML
    private Rectangle m1;
    @FXML
    private Text m1d0;
    @FXML
    private Text m1d1;
    @FXML
    private Text m1d2;
    @FXML
    private Rectangle m2;
    @FXML
    private Text m2d0;
    @FXML
    private Text m2d1;
    @FXML
    private Text m2d2;
    @FXML
    private Rectangle m3;
    @FXML
    private Text m3d0;
    @FXML
    private Text m3d1;
    @FXML
    private Text m3d2;
    @FXML
    private Rectangle m4;
    @FXML
    private Text m4d0;
    @FXML
    private Text m4d1;
    @FXML
    private Text m4d2;
    @FXML
    private Rectangle m5;
    @FXML
    private Text m5d0;
    @FXML
    private Text m5d1;
    @FXML
    private Text m5d2;
    @FXML
    private Rectangle m6;
    @FXML
    private Text m6d0;
    @FXML
    private Text m6d1;
    @FXML
    private Text m6d2;
    @FXML
    private Rectangle m7;
    @FXML
    private Text m7d0;
    @FXML
    private Text m7d1;
    @FXML
    private Text m7d2;
    @FXML
    private Rectangle box1A;
    @FXML
    private Text text1A;
    @FXML
    private Rectangle box1B;
    @FXML
    private Text text1B;
    @FXML
    private Rectangle box1C;
    @FXML
    private Text text1C;
    @FXML
    private Rectangle box1D;
    @FXML
    private Text text1D;
    @FXML
    private Rectangle box2A;
    @FXML
    private Text text2A;
    @FXML
    private Rectangle box2B;
    @FXML
    private Text text2B;
    @FXML
    private Rectangle box2C;
    @FXML
    private Text text2C;
    @FXML
    private Rectangle box2D;
    @FXML
    private Text text2D;
    @FXML
    private Rectangle box3A;
    @FXML
    private Text text3A;
    @FXML
    private Rectangle box3B;
    @FXML
    private Text text3B;
    @FXML
    private Rectangle box3C;
    @FXML
    private Text text3C;
    @FXML
    private Rectangle box3D;
    @FXML
    private Text text3D;
    @FXML
    private Line _p0_1A;
    @FXML
    private Line _p1_1B;
    @FXML
    private Line _p2_1C;
    @FXML
    private Line _p3_1D;
    @FXML
    private Line _p4_1A;
    @FXML
    private Line _p5_1B;
    @FXML
    private Line _p6_1C;
    @FXML
    private Line _p7_1D;
    @FXML
    private Line _1A_2A;
    @FXML
    private Line _1D_2D;
    @FXML
    private Line _1A_2B;
    @FXML
    private Line _1B_2C;
    @FXML
    private Line _1B_2D;
    @FXML
    private Line _1C_2A;
    @FXML
    private Line _1C_2B;
    @FXML
    private Line _1D_2C;
    @FXML
    private Line _3A_m0;
    @FXML
    private Line _3A_m1;
    @FXML
    private Line _3B_m2;
    @FXML
    private Line _3B_m3;
    @FXML
    private Line _3C_m4;
    @FXML
    private Line _3C_m5;
    @FXML
    private Line _3D_m6;
    @FXML
    private Line _3D_m7;
    @FXML
    private Line _2D_3C;
    @FXML
    private Line _2C_3B;
    @FXML
    private Line _2C_3A;
    @FXML
    private Line _2B_3D;
    @FXML
    private Line _2B_3C;
    @FXML
    private Line _2A_3B;
    @FXML
    private Line _2D_3D;
    @FXML
    private Line _2A_3A;
    @FXML
    private Button btn;
    @FXML
    private Text zero;
    @FXML
    private Text one;
    @FXML
    private Text two;
    @FXML
    private Text three;
    @FXML
    private Text four;
    @FXML
    private Text five;
    @FXML
    private Text six;
    @FXML
    private Text seven;
    
    @FXML
    private Text errorMessage1;
    
    @FXML
    private Text errorMessage2;
    
    @FXML 
    private Text errorMessage3;
    
    @FXML
    private Text errorMessage4;
    
    @FXML private Group p0ID;
    @FXML private Group p1ID;
    @FXML private Group p2ID;
    @FXML private Group p3ID;
    @FXML private Group p4ID;
    @FXML private Group p5ID;
    @FXML private Group p6ID;
    @FXML private Group p7ID;
    
    @FXML private Group m0ID;
    @FXML private Group m1ID;
    @FXML private Group m2ID;
    @FXML private Group m3ID;
    @FXML private Group m4ID;
    @FXML private Group m5ID;
    @FXML private Group m6ID;
    @FXML private Group m7ID;
    
    // Variável para indicar se uma animação já foi ou não disparada
    private boolean animationON; 
    
    // Variável para indicar cor da próxima animação 
    private Color availableColor;
    
    // Vetor com as cores possíveis de Animação
    private Color[] availableColors;
    
    // Vetor com os pares <Processador, Memória> que serão utilizados para as animações
    private ArrayList< Pair<Integer, Integer> > pairs;
    
    // Objeto que guardará a animação a ser executada
    
    // Vetor com animação de cada caminho percorrido
    private ArrayList<SequentialTransition> animations;
    
    // Animação Final que será exibida ao apertar botão Start
    private ParallelTransition finalAnimation = null;
    
    // Estanciação da rede; Era será inicializada dentro do método initialize, o qual é executado primeiramente ao carregar o controle
    private Network network;
    
    // Cores originais dos retângulos dos processadores e memórias
    private Paint p0Color;
    private Paint p1Color;
    private Paint p2Color;
    private Paint p3Color;
    private Paint p4Color;
    private Paint p5Color;
    private Paint p6Color;
    private Paint p7Color;
    
    private Paint m0Color;
    private Paint m1Color;
    private Paint m2Color;
    private Paint m3Color;
    private Paint m4Color;
    private Paint m5Color;
    private Paint m6Color;
    private Paint m7Color;

    //Atributos para gerenciar clique na memória e processador
    private int pChoosed = -1; // Processador Escolhido
    private int mChoosed = -1; // Memória Escolhida
    
    // Estados dos processadores e memórias
    // 0: não selecionado
    // 1: selecionado mas par processador-memória ainda não foi selecinado, sendo possível desselecionar
    // 2: selecionado mas já inserido em pairs, não sendo possível desselecionar
    private int[] pStates;
    private int[] mStates;
    @FXML
    private Button resetButton;
    @FXML
    private Group groupNames;
    @FXML
    private Button btnMenu;

    @FXML
    private void returnMenu(ActionEvent event) throws Exception {
        
        Parent root = FXMLLoader.load( getClass().getResource("/mainmenu/FXMLMainMenuFrench.fxml") );
        
        Scene scene = new Scene (root);
        
        Stage stage = (Stage) ((Node)event.getSource()).getScene().getWindow();
        
        stage.setScene (scene);
        stage.show();
    }
    
    // Classe para descrever a rede
    private class Network{

        // Representação de um processador, com sua linha de saída
        public class Processor{
            
            Rectangle rectangle; // Desenho associado
            String line; //Linha que sai do processador   
            
            // Construtor
            public Processor ( Rectangle rectangle, String line){
               
                this.rectangle = rectangle;
                this.line = line;
            }
        }
        
        // Representação de um memória, com sua linha de entrada
        public class Memory{
        
            Rectangle rectangle; 
            String line; // Linha que entra na memória
            
            // Construtor
            public Memory ( Rectangle rectangle, String line){
               
                this.rectangle = rectangle;
                this.line = line;
            }
        }
        
        // Representação de um switch, que chamaremos de Box, com suas linhas de entrada e saída
        public class Box{
        
            Rectangle rectangle;
            String inLine1;
            String inLine2;
            String outLine1;
            String outLine2;
            boolean busy; // Switch está ocupado com a requisição de outra acesso?
            
            // Construtor
            public Box ( Rectangle rectangle, String inLine1, String inLine2, String outLine1, String outLine2 ){
                
                this.rectangle = rectangle;
                this.inLine1 = inLine1;
                this.inLine2 = inLine2;
                this.outLine1 = outLine1;
                this.outLine2 = outLine2;
                busy = false;
            }
        }
        
        // Representação de uma linha que conecta dois elementos
        public class Connection{
            
            Line line; // Desenho da linha associado
            String inElement; // bloco conectado na entrada da linha
            String outElement; // bloco conectado na saída da linha
            
            //Construtor
            public Connection ( Line line, String inElement, String outElement ){
                
                this.line = line;
                this.inElement = inElement;
                this.outElement = outElement;
            }
        }
        
        public HashMap<String, Processor> processors;
        public HashMap<String, Connection> connections ;
        public HashMap<String, Box> stage1;
        public HashMap<String, Box> stage2;
        public HashMap<String, Box> stage3;
        public HashMap<String, Memory> memories;
        
        // Cores Iniciais dos elementos da Rede
        public Color processorColor;
        public Color lineColor;
        public Color boxColor;
        public Color memoryColor;
        
        // Construtor da Rede
        public Network(){
            
            // Inicilizando tabelas Hash
            processors = new HashMap< String, Processor>();
            connections = new HashMap< String, Connection >();
            stage1 = new HashMap< String, Box >();
            stage2 = new HashMap< String, Box>();
            stage3 = new HashMap< String, Box>();
            memories = new HashMap< String, Memory >();
            
            // Criando nós de processadores e adicionando na tabela de processaodores
            processors.put ( "p0", new Processor ( p0, "_p0_1A" ) );
            processors.put ( "p1", new Processor ( p1, "_p1_1B" ) );
            processors.put ( "p2", new Processor ( p2, "_p2_1C" ) );
            processors.put ( "p3", new Processor ( p3, "_p3_1D" ) );
            processors.put ( "p4", new Processor ( p4, "_p4_1A" ) );
            processors.put ( "p5", new Processor ( p5, "_p5_1B" ) );
            processors.put ( "p6", new Processor ( p6, "_p6_1C" ) );
            processors.put ( "p7", new Processor ( p7, "_p7_1D" ) );
            
            // Criando nós de Memórias e adicionando na tabela de memórias
            memories.put ( "m0", new Memory ( m0, "_3A_m0" ) );
            memories.put ( "m1", new Memory ( m1, "_3A_m1" ) ); 
            memories.put ( "m2", new Memory ( m2, "_3B_m2" ) );
            memories.put ( "m3", new Memory ( m3, "_3B_m3" ) );
            memories.put ( "m4", new Memory ( m4, "_3C_m4" ) );
            memories.put ( "m5", new Memory ( m5, "_3C_m5" ) );
            memories.put ( "m6", new Memory ( m6, "_3D_m6" ) );
            memories.put ( "m7", new Memory ( m7, "_3D_m7" ) );
            
            // Criando e instanciando switches do estágio 1
            stage1.put ( "box1A", new Box ( box1A, "_p0_1A", "_p4_1A", "_1A_2A", "_1A_2B" ) );
            stage1.put ( "box1B", new Box ( box1B, "_p1_1B", "_p5_1B", "_1B_2C", "_1B_2D" ) );
            stage1.put ( "box1C", new Box ( box1C, "_p2_1C", "_p6_1C", "_1C_2A", "_1C_2B" ) );
            stage1.put ( "box1D", new Box ( box1D, "_p3_1D", "_p7_1D", "_1D_2C", "_1D_2D" ) );
         
            // Criando e instanciando switches do estágio 2
            stage2.put ( "box2A", new Box ( box2A, "_1A_2A", "_1C_2A", "_2A_3A", "_2A_3B" ) );
            stage2.put ( "box2B", new Box ( box2B, "_1A_2B", "_1C_2B", "_2B_3C", "_2B_3D" ) );
            stage2.put ( "box2C", new Box ( box2C, "_1B_2C", "_1D_2C", "_2C_3A", "_2C_3B" ) );
            stage2.put ( "box2D", new Box ( box2D, "_1B_2D", "_1D_2D", "_2D_3C", "_2D_3D" ) );
        
            // Criando e estanciando switches do estágio 3
            stage3.put ( "box3A", new Box ( box3A, "_2A_3A", "_2C_3A", "_3A_m0", "_3A_m1" ) );
            stage3.put ( "box3B", new Box ( box3B, "_2A_3B", "_2C_3B", "_3B_m2", "_3B_m3" ) );
            stage3.put ( "box3C", new Box ( box3C, "_2B_3C", "_2D_3C", "_3C_m4", "_3C_m5" ) );
            stage3.put ( "box3D", new Box ( box3D, "_2B_3D", "_2D_3D", "_3D_m6", "_3D_m7" ) );
            
            // Criando e estanciando conexões - linhas
            // Para estágio 1
            connections.put ( "_p0_1A", new Connection ( _p0_1A ,"p0", "box1A" ) );
            connections.put ( "_p1_1B", new Connection ( _p1_1B, "p1", "box1B" ) );
            connections.put ( "_p2_1C", new Connection ( _p2_1C, "p2", "box1C" ) );
            connections.put ( "_p3_1D", new Connection ( _p3_1D, "p3", "box1D" ) );
            connections.put ( "_p4_1A", new Connection ( _p4_1A, "p4", "box1A" ) );
            connections.put ( "_p5_1B", new Connection ( _p5_1B, "p5", "box1B" ) );
            connections.put ( "_p6_1C", new Connection ( _p6_1C, "p6", "box1C" ) );
            connections.put ( "_p7_1D", new Connection ( _p7_1D, "p7", "box1D" ) );
            
            // Para estágio 2
            connections.put ( "_1A_2A", new Connection ( _1A_2A, "box1A", "box2A" ) );
            connections.put ( "_1A_2B", new Connection ( _1A_2B, "box1A", "box2B" ) );
            connections.put ( "_1B_2C", new Connection ( _1B_2C, "box1B", "box2C" ) );
            connections.put ( "_1B_2D", new Connection ( _1B_2D, "box1B", "box2D" ) );
            connections.put ( "_1C_2A", new Connection ( _1C_2A, "box1C", "box2A" ) );
            connections.put ( "_1C_2B", new Connection ( _1C_2B, "box1C", "box2B" ) );
            connections.put ( "_1D_2C", new Connection ( _1D_2C, "box1D", "box2C" ) );
            connections.put ( "_1D_2D", new Connection ( _1D_2D, "box1D", "box2D" ) );
            
            // Para estágio 3
            connections.put ( "_2A_3A", new Connection ( _2A_3A, "box2A", "box3A" ) );
            connections.put ( "_2A_3B", new Connection ( _2A_3B, "box2A", "box3B" ) );
            connections.put ( "_2B_3C", new Connection ( _2B_3C, "box2B", "box3C" ) );
            connections.put ( "_2B_3D", new Connection ( _2B_3D, "box2B", "box3D" ) );
            connections.put ( "_2C_3A", new Connection ( _2C_3A, "box2C", "box3A" ) );
            connections.put ( "_2C_3B", new Connection ( _2C_3B, "box2C", "box3B" ) );
            connections.put ( "_2D_3C", new Connection ( _2D_3C, "box2D", "box3C" ) );
            connections.put ( "_2D_3D", new Connection ( _2D_3D, "box2D", "box3D" ) );
            
            // Para Memórias
            connections.put ( "_3A_m0", new Connection ( _3A_m0, "box3A", "m0" ) );
            connections.put ( "_3A_m1", new Connection ( _3A_m1, "box3A", "m1" ) );
            connections.put ( "_3B_m2", new Connection ( _3B_m2, "box3B", "m2" ) );
            connections.put ( "_3B_m3", new Connection ( _3B_m3, "box3B", "m3" ) );
            connections.put ( "_3C_m4", new Connection ( _3C_m4, "box3C", "m4" ) );
            connections.put ( "_3C_m5", new Connection ( _3C_m5, "box3C", "m5" ) );
            connections.put ( "_3D_m6", new Connection ( _3D_m6, "box3D", "m6" ) );
            connections.put ( "_3D_m7", new Connection ( _3D_m7, "box3D", "m7" ) );
            
            processorColor = (Color) p0.getFill();
            lineColor = (Color) _p0_1A.getStroke();
            boxColor = (Color) box1A.getFill();
            memoryColor = (Color) m0.getFill();
            
        }
        
        

    }
    
    /**
     * Initializes the controller class.
     */
    @Override
    public void initialize(URL url, ResourceBundle rb) {
        
        network = new Network();
        
        p0Color = p0.getFill();
        p1Color = p1.getFill();
        p2Color = p2.getFill();
        p3Color = p3.getFill();
        p4Color = p4.getFill();
        p5Color = p5.getFill();
        p6Color = p6.getFill();
        p7Color = p7.getFill();
        
        m0Color = m0.getFill();
        m1Color = m1.getFill();
        m2Color = m2.getFill();
        m3Color = m3.getFill();
        m4Color = m4.getFill();
        m5Color = m5.getFill();
        m6Color = m6.getFill();
        m7Color = m7.getFill();    
        
        availableColors = new Color[8]; 
        availableColors[0] = Color.LIMEGREEN;
        availableColors[1] = Color.PERU;
        availableColors[2] = Color.YELLOW;
        availableColors[3] = Color.DEEPPINK;
        availableColors[4] = Color.ORANGE;
        availableColors[5] = Color.DARKSEAGREEN;
        availableColors[6] = Color.DEEPSKYBLUE;
        availableColors[7] = Color.DARKORCHID;
        
        availableColor = availableColors[0];
        
        animations = new ArrayList<SequentialTransition>();
        
        pStates = new int[]{ 0, 0, 0, 0, 0, 0, 0, 0 };
        mStates = new int[]{ 0, 0, 0, 0, 0, 0, 0, 0 };
        
        pairs = new ArrayList < Pair<Integer, Integer> >();
        
        animationON = false;
     
    }    
            
    // Métodos - quando Mouse passa sobre processadores ou memórias
    @FXML
    protected void p0MouseIn(){
               
        // Se botão não foi pressionado ainda
        if ( pStates[0] == 0 )
            p0.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p0MouseOut(){
       
        // Se Mouse Não foi pressionado
        if ( pStates[0] == 0 )
            p0.setFill ( p0Color );
      
    }
    
    @FXML
    protected void p1MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[1] == 0 )
            p1.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p1MouseOut(){
       
        if ( pStates[1] == 0 )
            p1.setFill ( p1Color );
      
    }
    
    @FXML
    protected void p2MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[2] == 0 )
            p2.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p2MouseOut(){
       
        if ( pStates[2] == 0 )    
            p2.setFill ( p2Color );
      
    }
    
    @FXML
    protected void p3MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[3] == 0 )
            p3.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p3MouseOut(){
       
        if ( pStates[3] == 0 )
            p3.setFill ( p3Color );
      
    }
    
    @FXML
    protected void p4MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[4] == 0 )
            p4.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p4MouseOut(){
       
        if ( pStates[4] == 0 )
            p4.setFill ( p4Color );
      
    }
    
    @FXML
    protected void p5MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[5] == 0 )
            p5.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p5MouseOut(){
       
        if ( pStates[5] == 0 )
            p5.setFill ( p5Color );
      
    }
    
    @FXML
    protected void p6MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[6] == 0 )
            p6.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p6MouseOut(){
       
        if ( pStates[6] == 0 )
            p6.setFill ( p6Color );
      
    }
    
    @FXML
    protected void p7MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( pStates[7] == 0 )
            p7.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void p7MouseOut(){
       
        if ( pStates[7] == 0 )
            p7.setFill ( p7Color );
      
    }
    
    @FXML
    protected void m0MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( mStates[0] == 0 )
            m0.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m0MouseOut(){
       
        // Se botão não foi pressionado ainda
        if ( mStates[0] == 0 )
            m0.setFill ( m0Color );
      
    }
    
    @FXML
    protected void m1MouseIn(){
        
        // Se botão não foi pressionado ainda
        if ( mStates[1] == 0 )
            m1.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m1MouseOut(){
       
        if ( mStates[1] == 0 )
            m1.setFill ( m1Color );
      
    }
    
    @FXML
    protected void m2MouseIn(){
        
        if ( mStates[2] == 0 )
            m2.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m2MouseOut(){
       
        if ( mStates[2] == 0 )
            m2.setFill ( m2Color );
      
    }
    
    @FXML
    protected void m3MouseIn(){
        
        if ( mStates[3] == 0 )
        m3.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m3MouseOut(){
       
        if ( mStates[3] == 0 )
        m3.setFill ( m3Color );
      
    }
    
    @FXML
    protected void m4MouseIn(){
        
        if ( mStates[4] == 0 )
        m4.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m4MouseOut(){
       
        if ( mStates[4] == 0 )
            m4.setFill ( m4Color );
      
    }
    
    @FXML
    protected void m5MouseIn(){
        
        if ( mStates[5] == 0 )
            m5.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m5MouseOut(){
       
        if ( mStates[5] == 0 )
            m5.setFill ( m5Color );
      
    }
    
    @FXML
    protected void m6MouseIn(){
        
        if ( mStates[6] == 0 )
            m6.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m6MouseOut(){
       
        if ( mStates[6] == 0 )
            m6.setFill ( m6Color );
      
    }
    
    @FXML
    protected void m7MouseIn(){
        
        if ( mStates[7] == 0 )
            m7.setFill ( Color.CYAN );
    }
    
    @FXML
    protected void m7MouseOut(){
       
        if ( mStates[7] == 0 )
            m7.setFill ( m7Color );
      
    }
    
    @FXML
    protected void p0MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }

        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[0] == 0 && pChoosed == -1 ){
            
            pStates[0] = 1;
            pChoosed = 0;
            p0.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[0] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[0] == 1 ){
            pStates[0] = 0;
            pChoosed = -1;            
            p0.setFill ( p0Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }
   
    @FXML
    protected void p1MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[1] == 0 && pChoosed == -1 ){
            
            pStates[1] = 1;
            pChoosed = 1;
            p1.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[1] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[1] == 1 ){
            pStates[1] = 0;
            pChoosed = -1;            
            p1.setFill ( p1Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p2MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[2] == 0 && pChoosed == -1 ){
            
            pStates[2] = 1;
            pChoosed = 2;
            p2.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[2] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[2] == 1 ){
            pStates[2] = 0;
            pChoosed = -1;            
            p2.setFill ( p2Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p3MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[3] == 0 && pChoosed == -1 ){
            
            pStates[3] = 1;
            pChoosed = 3;
            p3.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[3] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[3] == 1 ){
            pStates[3] = 0;
            pChoosed = -1;            
            p3.setFill ( p3Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p4MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[4] == 0 && pChoosed == -1 ){
            
            pStates[4] = 1;
            pChoosed = 4;
            p4.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[4] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[4] == 1 ){
            pStates[4] = 0;
            pChoosed = -1;            
            p4.setFill ( p4Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p5MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[5] == 0 && pChoosed == -1 ){
            
            pStates[5] = 1;
            pChoosed = 5;
            p5.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[5] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[5] == 1 ){
            pStates[5] = 0;
            pChoosed = -1;            
            p5.setFill ( p5Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p6MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[6] == 0 && pChoosed == -1 ){
            
            pStates[6] = 1;
            pChoosed = 6;
            p6.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[6] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[6] == 1 ){
            pStates[6] = 0;
            pChoosed = -1;            
            p6.setFill ( p6Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }

    @FXML
    protected void p7MouseClicked(){
        
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda mas pode-se selecionar um processador
        if ( pStates[7] == 0 && pChoosed == -1 ){
            
            pStates[7] = 1;
            pChoosed = 7;
            p7.setFill ( availableColor );
           
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador com outro já selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
        }
        
        // Processador está livre mas ainda não foi selecionada uma memória para o processador anteriormente selecionado
        else if ( pStates[7] == 0 ){
            
            errorMessage2.setVisible (true);
        }
        
        else if ( pStates[7] == 1 ){
            pStates[7] = 0;
            pChoosed = -1;            
            p7.setFill ( p7Color );
            
            // Caso tenha tentado selecionar uma memória antes do processador
            errorMessage1.setVisible (false);
            
            // Caso tenha tentado selecionar um processador anteriormente sem deselecionar o atual
            errorMessage2.setVisible (false);
            
        }
    }
 
    @FXML
    protected void m0MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[0] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[0] = 1;
            mChoosed = 0;
            m0.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ];
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[0] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }
    
    @FXML
    protected void m1MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[1] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[1] = 1;
            mChoosed = 1;
            m1.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ]; 
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[1] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m2MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[2] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[2] = 1;
            mChoosed = 2;
            m2.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ];
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[2] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m3MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[3] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[3] = 1;
            mChoosed = 3;
            m3.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ];     
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[3] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m4MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[4] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[4] = 1;
            mChoosed = 4;
            m4.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ];  
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[4] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m5MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[5] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[5] = 1;
            mChoosed = 5;
            m5.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ]; 
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[5] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m6MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[6] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[6] = 1;
            mChoosed = 6;
            m6.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ];  
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[6] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }

     @FXML
    protected void m7MouseClicked(){
      
        // Caso não tenha limpado settings da animação anterior
        if ( animationON )
        {
            errorMessage4.setVisible(true);
            return;
        }
        
        // Elemento não foi selecionado ainda e processador já foi selecionado
        if ( mStates[7] == 0 && pChoosed != -1 ){
            
            // Caso tenha tentado selecionar outro processador sem selecionar a memória para um primeiro processador selecionado
            errorMessage2.setVisible (false);
            
            // Caso tenha tentado iniciar a apresentação antes de selecionar o processador e a memória
            errorMessage3.setVisible (false);
            
            mStates[7] = 1;
            mChoosed = 7;
            m7.setFill ( availableColor );    
            
            Pair<Integer, Integer> newPair = new Pair<Integer, Integer>( pChoosed, mChoosed );
            pairs.add ( newPair );
            
            // Coloca processador e memória escolhidos em estado 2 - Não é mais possível selecionálos
            pStates[pChoosed] = 2;
            mStates[mChoosed] = 2;
            
            // Escolhe próxima cor disponível
            if ( pairs.size() < 8 ) //Se ainda não selecionou todos os processadores e memórias
                availableColor = availableColors[ pairs.size() ]; 
            
            // Resseta valores para possibilitar escolha de novos processadores e memórias
            pChoosed = -1;
            mChoosed = -1; 
        }
              
        // Memória não foi selecionado ainda mas não foi selecionado um processador
        else if ( mStates[7] == 0 ){
            
            errorMessage1.setVisible (true);
        }
    }
    
    protected void printTest(){
        
        System.out.println("Processors States");
        for ( int i = 0; i < 8; i++ ){
        
            System.out.println(pStates[i]);
        }   
        
        System.out.println("Memory States");
        for ( int i = 0; i < 8; i++ ){
        
            System.out.println(mStates[i]);
        }  
    }

    // Método para limpar opções setadas para animação que ocorreu anteriormente
    @FXML
    public void resetAnimation( ActionEvent event ) throws Exception {
        
        // Se foi criada uma animação
        if ( finalAnimation != null )
            // Para animação que pode estar sendo executada ainda
            finalAnimation.stop();
        
        // Limpa ArrayList de Animações sequenciais
        animations.clear();
        
        // Limpa Vetor de Pairs
        pairs.clear();
        
        
        // Reinicializa Estados dos Processadores e Memória
        for ( int i = 0; i < 8; i++ ){
            pStates[i] = 0;
        }
        
        for ( int i = 0; i < 8; i++ ){
            mStates[i] = 0;
        }
        
        // Mais nenhuma animação está executando
        animationON = false;
        
        // Limpa mensagem que pede para usuário resetar a Animação
        errorMessage4.setVisible (false);    
        
        Parent root = FXMLLoader.load( getClass().getResource("/networksimulation/NetworkFrench.fxml") );
        
        Scene scene = new Scene (root);
        
        Stage stage = (Stage) ((Node)event.getSource()).getScene().getWindow();
        
        stage.setScene (scene);
        stage.show();
     
    }
        
    @FXML
    private void handleButtonAction(ActionEvent event) {
        
        // Limpa qualquer mensagem de erro que havia na tela
        errorMessage1.setVisible (false);
        errorMessage2.setVisible (false);
        errorMessage3.setVisible (false);
        errorMessage4.setVisible (false);

        if ( animationON ){
        
            errorMessage4.setVisible(true);
            return;
        }
        
        // Se selecionou um processador mas não selecionou a memória ou caso não tenha selecionado nenhum par processador-memória
        if ( ( pChoosed != -1 && mChoosed == -1 ) || ( pairs.size() == 0 ) ){

            errorMessage3.setVisible (true);
        
        }
        
        else{
            
            animationON = true; // Indica que uma animação foi iniciada
            
            Line lineToStage1;
            Rectangle boxStage1;
            Line lineToStage2;
            Rectangle boxStage2;
            Line lineToStage3;
            Rectangle boxStage3;
            Line lineToMemory;
            
            // Caso só tenha selecionado um par processador - memória
            // Essa animação compara bit a bit na parte inferior da tela
            if ( pairs.size() == 1 ){

                // Seta cores usadas na animação, começando da primeira
                availableColor = availableColors[ 0 ];
                
                // Processaor e Memória que irão fazer parte da animação
                Pair<Integer, Integer> pm = pairs.get(0);
                int processor = pm.getKey();
                int memory = pm.getValue();

                // Nova Animação a ser exutacada
                SequentialTransition newAnimation = new SequentialTransition();

                errorMessage3.setVisible (false);

                // Bits do endereço de memória escolhida
                ArrayList<Integer> bitsFromMemoryAddress = getBitsFromAddress( memory );

                // Bits do ID do processador
                ArrayList<Integer> bitsFromProcessor = getBitsFromAddress ( processor );

                // Criação da animação do caminho a partir do processador à memória escolhida
                String processorID = getStringIDFromProcessor ( processor );

                // Determinação de quais elementos irão participar da animação
                //Linha até Estágio 1
                Network.Processor p = network.processors.get ( processorID );
                String lineToStage1ID = p.line;
                lineToStage1 = network.connections.get( lineToStage1ID ).line;

                // Switch do Estágio 1
                String boxStage1ID = network.connections.get( lineToStage1ID ).outElement;
                boxStage1 = network.stage1.get( boxStage1ID ).rectangle;

                // Linha para Estágio 2 - Saída irá depender do primeiro bit do endereço da memória

                String lineToStage2ID;
                int bit1 = bitsFromMemoryAddress.get(0);

                if ( bit1 == 0 ){

                    lineToStage2ID = network.stage1.get ( boxStage1ID ).outLine1;
                    lineToStage2 = network.connections.get( lineToStage2ID ).line;
                }

                // bit1 == 0
                else{

                    lineToStage2ID = network.stage1.get ( boxStage1ID ).outLine2;
                    lineToStage2 = network.connections.get( lineToStage2ID ).line;
                }

                // Switch do Estágio 2
                String boxStage2ID = network.connections.get( lineToStage2ID ).outElement;
                boxStage2 = network.stage2.get ( boxStage2ID ).rectangle;

                // Linha para Estágio 3 - Saíra ira depender do segundo bit do endereço da memória

                String lineToStage3ID;
                int bit2 = bitsFromMemoryAddress.get(1);

                if ( bit2 == 0 ){

                    lineToStage3ID = network.stage2.get ( boxStage2ID ).outLine1;
                    lineToStage3 = network.connections.get( lineToStage3ID ).line;
                }

                // bit2 == 0
                else{

                    lineToStage3ID = network.stage2.get ( boxStage2ID ).outLine2;
                    lineToStage3 = network.connections.get( lineToStage3ID ).line;
                }

                // Switch do Estágio 3
                String boxStage3ID = network.connections.get( lineToStage3ID ).outElement;
                boxStage3 = network.stage3.get ( boxStage3ID ).rectangle;

                // Linha para <Memória - Saíra ira depender do terceiro bit do endereço da memória

                String lineToMemoryID;
                int bit3 = bitsFromMemoryAddress.get(2);

                if ( bit3 == 0 ){

                    lineToMemoryID = network.stage3.get ( boxStage3ID ).outLine1;
                    lineToMemory = network.connections.get( lineToMemoryID ).line;
                }

                // bit2 == 0
                else{

                    lineToMemoryID = network.stage3.get ( boxStage3ID ).outLine2;
                    lineToMemory = network.connections.get( lineToMemoryID ).line;
                }
                
                // Retângulo da memória - animação de fade
                String memoryID = network.connections.get( lineToMemoryID ).outElement;
                Rectangle memoryRectangle = network.memories.get( memoryID ).rectangle;
                
                FadeTransition fadeMemoryT = new FadeTransition ( Duration.millis (500), memoryRectangle );
                fadeMemoryT.setFromValue(1.0);
                fadeMemoryT.setToValue(0.3);
                fadeMemoryT.setCycleCount(10);
                fadeMemoryT.setAutoReverse(true);

                // ANIMAÇÃO DO CAMINHO PERCORRIDO
                // Com os elemento que serão selecionados, montamos as transições

                StrokeTransition lineToStage1T = new StrokeTransition ( Duration.millis (500), lineToStage1, (Color) lineToStage1.getFill(), availableColor );
                FillTransition boxStage1T = new FillTransition ( Duration.millis (1000), boxStage1, (Color) boxStage1.getFill(), availableColor );
                StrokeTransition lineToStage2T = new StrokeTransition ( Duration.millis (500), lineToStage2, (Color) lineToStage2.getFill(), availableColor );
                FillTransition boxStage2T = new FillTransition ( Duration.millis (1000), boxStage2, (Color) boxStage2.getFill(), availableColor );
                StrokeTransition lineToStage3T = new StrokeTransition ( Duration.millis (500), lineToStage3, (Color) lineToStage3.getFill(), availableColor );
                FillTransition boxStage3T = new FillTransition ( Duration.millis (1000), boxStage3, (Color) boxStage3.getFill(), availableColor );
                StrokeTransition lineToMemoryT = new StrokeTransition ( Duration.millis (500), lineToMemory, (Color) lineToMemory.getFill(), availableColor );

                // ANIMAÇÃO DE COMPARAÇÃO BIT A BIT DE PROCESSADOR COM MEMÓRIA

                // Movimentação do Grupo

                // Determina qual group de dígitos de processador será analisado 
                Group pID = getProcessorGroup ( processor );

                 // Determina qual grupo de dígitos de memória será analisado
                Group mID = getMemoryGroup ( memory );

                // Translação do processador

                TranslateTransition moveProcessorID = new TranslateTransition ( Duration.millis(1000), pID );
                moveProcessorID.setToX ( 331 - pID.getChildren().get(0).getLayoutX());
                moveProcessorID.setToY ( 563 - pID.getChildren().get(0).getLayoutY());

                // Translação da memória

                TranslateTransition moveMemoryID = new TranslateTransition ( Duration.millis(1000), mID );
                moveMemoryID.setToX ( 420 - mID.getChildren().get(0).getLayoutX());
                moveMemoryID.setToY ( 563 - mID.getChildren().get(0).getLayoutY());

                // Animação de Cada Dígito
                // Processador

                Text digit0p = (Text) pID.getChildren().get(0);
                FillTransition colorBit0p = new FillTransition ( Duration.millis(1000), digit0p, (Color) digit0p.getFill(), availableColor );
                colorBit0p.setAutoReverse(true);
                colorBit0p.setCycleCount(2);
                Text digit1p = (Text) pID.getChildren().get(1);
                FillTransition colorBit1p = new FillTransition ( Duration.millis(1000), digit1p, (Color) digit1p.getFill(), availableColor );
                colorBit1p.setAutoReverse(true);
                colorBit1p.setCycleCount(2);
                Text digit2p = (Text) pID.getChildren().get(2);
                FillTransition colorBit2p = new FillTransition ( Duration.millis(1000), digit2p, (Color) digit2p.getFill(), availableColor );
                colorBit2p.setAutoReverse(true);
                colorBit2p.setCycleCount(2);

                // Memória

                Text digit0m = (Text) mID.getChildren().get(0);
                FillTransition colorBit0m = new FillTransition ( Duration.millis(1000), digit0m, (Color) digit0m.getFill(), availableColor );
                colorBit0m.setAutoReverse(true);
                colorBit0m.setCycleCount(2);
                Text digit1m = (Text) mID.getChildren().get(1);
                FillTransition colorBit1m = new FillTransition ( Duration.millis(1000), digit1m, (Color) digit1m.getFill(), availableColor );
                colorBit1m.setAutoReverse(true);
                colorBit1m.setCycleCount(2);
                Text digit2m = (Text) mID.getChildren().get(2);
                FillTransition colorBit2m = new FillTransition ( Duration.millis(1000), digit2m, (Color) digit2m.getFill(), availableColor );
                colorBit2m.setAutoReverse(true);
                colorBit2m.setCycleCount(2);

                // Retorno do Grupo

                // Processador
                TranslateTransition returnProcessorID = new TranslateTransition ( Duration.millis(2000), pID );
                returnProcessorID.setToX ( 0 );
                returnProcessorID.setToY ( 0 );

                // Memória

                TranslateTransition returnMemoryID = new TranslateTransition ( Duration.millis(2000), mID );
                returnMemoryID.setToX ( 0 );
                returnMemoryID.setToY ( 0 );

                // Animações Paralelas

                ParallelTransition parallel0 = new ParallelTransition();
                parallel0.getChildren().addAll( moveProcessorID, moveMemoryID, lineToStage1T );

                ParallelTransition parallel1 = new ParallelTransition();
                parallel1.getChildren().addAll ( boxStage1T, colorBit0p, colorBit0m );

                ParallelTransition parallel2 = new ParallelTransition();
                parallel2.getChildren().addAll ( boxStage2T, colorBit1p, colorBit1m );

                ParallelTransition parallel3 = new ParallelTransition();
                parallel3.getChildren().addAll ( boxStage3T, colorBit2p, colorBit2m );

                ParallelTransition parallel4 = new ParallelTransition();
                parallel4.getChildren().addAll ( lineToMemoryT, fadeMemoryT, returnMemoryID, returnProcessorID );
                
                // Criação da animação Sequencial
                newAnimation.getChildren().addAll ( parallel0 , parallel1, lineToStage2T, parallel2, lineToStage3T, parallel3, parallel4 );

                // Insere a animação no vetor de animações
                animations.add(newAnimation);
                
            }
            
            // Caso queira iniciar animação de vários pares processador-memória simultaneamente
            else{
                
                // Para cada um dos pares processador-memória, cria uma animação
                
                for ( int i = 0; i < pairs.size(); i++ ){
                
                    // Seta cores usadas na animação, começando da primeira
                    availableColor = availableColors[ i ];
                    
                    // Processaor e Memória que irão fazer parte da animação
                    Pair<Integer, Integer> pm = pairs.get(i);
                    int processor = pm.getKey();
                    int memory = pm.getValue();

                    
                    // Nova Animação a ser exutacada
                    SequentialTransition newAnimation = new SequentialTransition();

                    errorMessage3.setVisible (false);

                    // Bits do endereço de memória escolhida
                    ArrayList<Integer> bitsFromMemoryAddress = getBitsFromAddress( memory );

                    // Bits do ID do processador
                    ArrayList<Integer> bitsFromProcessor = getBitsFromAddress ( processor );
                    
                    // Criação da animação do caminho a partir do processador à memória escolhida
                    String processorID = getStringIDFromProcessor ( processor );

                    // Determinação de quais elementos irão participar da animação
                    //Linha até Estágio 1
                    Network.Processor p = network.processors.get ( processorID );
                    String lineToStage1ID = p.line;
                    lineToStage1 = network.connections.get( lineToStage1ID ).line;

                    // Switch do Estágio 1
                    String boxStage1ID = network.connections.get( lineToStage1ID ).outElement;
                    boxStage1 = network.stage1.get( boxStage1ID ).rectangle;
                    
                    // Animação
                    StrokeTransition lineToStage1T = new StrokeTransition ( Duration.millis (500), lineToStage1, (Color) lineToStage1.getFill(), availableColor );
                    
                    newAnimation.getChildren().add( lineToStage1T );
                    
                    // Swich está ocupado?
                    boolean boxStage1Busy = network.stage1.get( boxStage1ID ).busy;
                    
                    // Se estiver ocupado
                    if ( boxStage1Busy ){
                    
                        // Cria animação de Fade do Switch
                        FadeTransition boxStage1Bloquedf = new FadeTransition ( Duration.millis (500), boxStage1 );
                        boxStage1Bloquedf.setFromValue(1.0);
                        boxStage1Bloquedf.setToValue(0.3);
                        boxStage1Bloquedf.setCycleCount(10);
                        boxStage1Bloquedf.setAutoReverse(true);
                        
                        // Switch muda de cor
                        FillTransition boxStage1f = new FillTransition ( Duration.millis (2000), boxStage1, (Color) boxStage1.getFill(), Color.RED );

                        ParallelTransition boxStage1Bloqued = new ParallelTransition( boxStage1Bloquedf, boxStage1f ); 
                        
                        newAnimation.getChildren().add( boxStage1Bloqued );
                      
                    }
                    
                    
                    // Caso Bloco não estiver ocupado, continua percorrendo o caminho
                    else {
                        // Coloca switch como ocupado
                        network.stage1.get( boxStage1ID ).busy = true;

                        // Linha para Estágio 2 - Saída irá depender do primeiro bit do endereço da memória

                        String lineToStage2ID;
                        int bit1 = bitsFromMemoryAddress.get(0);

                        if ( bit1 == 0 ){

                            lineToStage2ID = network.stage1.get ( boxStage1ID ).outLine1;
                            lineToStage2 = network.connections.get( lineToStage2ID ).line;
                        }

                        // bit1 == 0
                        else{

                            lineToStage2ID = network.stage1.get ( boxStage1ID ).outLine2;
                            lineToStage2 = network.connections.get( lineToStage2ID ).line;
                        }
                        
                        // Animação Switch 1 e linha para Switch2
                        FillTransition boxStage1T = new FillTransition ( Duration.millis (1000), boxStage1, (Color) boxStage1.getFill(), availableColor );
                        StrokeTransition lineToStage2T = new StrokeTransition ( Duration.millis (500), lineToStage2, (Color) lineToStage2.getFill(), availableColor );

                        newAnimation.getChildren().addAll ( boxStage1T, lineToStage2T );
                        
                        // Switch do Estágio 2
                        String boxStage2ID = network.connections.get( lineToStage2ID ).outElement;
                        boxStage2 = network.stage2.get ( boxStage2ID ).rectangle;
                    
                        // Swich está ocupado?
                        boolean boxStage2Busy = network.stage2.get( boxStage2ID ).busy;
                    
                        // Se estiver ocupado
                        if ( boxStage2Busy ){
                    
                            // Cria animação de Fade do Switch
                            FadeTransition boxStage2Bloquedf = new FadeTransition ( Duration.millis (500), boxStage2 );
                            boxStage2Bloquedf.setFromValue(1.0);
                            boxStage2Bloquedf.setToValue(0.3);
                            boxStage2Bloquedf.setCycleCount(10);
                            boxStage2Bloquedf.setAutoReverse(true);
                            
                            // Switch muda de cor
                            FillTransition boxStage2f = new FillTransition ( Duration.millis (2000), boxStage2, (Color) boxStage2.getFill(), Color.RED );
                            
                            ParallelTransition boxStage2Bloqued = new ParallelTransition( boxStage2Bloquedf, boxStage2f ); 
                            
                            newAnimation.getChildren().add( boxStage2Bloqued );
   
                        }
                        
                        else{
                        //Caso não esteja ocupado, continua percorrendo o caminho

                            // Coloca switch como ocupado
                            network.stage2.get( boxStage2ID ).busy = true;
                            
                            // Linha para Estágio 3 - Saíra ira depender do segundo bit do endereço da memória

                            String lineToStage3ID;
                            int bit2 = bitsFromMemoryAddress.get(1);

                            if ( bit2 == 0 ){

                                lineToStage3ID = network.stage2.get ( boxStage2ID ).outLine1;
                                lineToStage3 = network.connections.get( lineToStage3ID ).line;
                            }

                            // bit2 == 0
                            else{

                                lineToStage3ID = network.stage2.get ( boxStage2ID ).outLine2;
                                lineToStage3 = network.connections.get( lineToStage3ID ).line;
                            }

                            // Animação Switch Stágio 2 e linha para Stágio 2
                            FillTransition boxStage2T = new FillTransition ( Duration.millis (1000), boxStage2, (Color) boxStage2.getFill(), availableColor );
                            StrokeTransition lineToStage3T = new StrokeTransition ( Duration.millis (500), lineToStage3, (Color) lineToStage3.getFill(), availableColor );
                            
                            newAnimation.getChildren().addAll ( boxStage2T, lineToStage3T );
                            
                            // Switch do Estágio 3
                            String boxStage3ID = network.connections.get( lineToStage3ID ).outElement;
                            boxStage3 = network.stage3.get ( boxStage3ID ).rectangle;
                                
                            // Swich está ocupado?
                            boolean boxStage3Busy = network.stage3.get( boxStage3ID ).busy;
                    
                            // Se estiver ocupado
                            if ( boxStage3Busy ){
                    
                                // Cria animação de Fade do Switch
                                FadeTransition boxStage3Bloquedf = new FadeTransition ( Duration.millis (500), boxStage3 );
                                boxStage3Bloquedf.setFromValue(1.0);
                                boxStage3Bloquedf.setToValue(0.3);
                                boxStage3Bloquedf.setCycleCount(10);
                                boxStage3Bloquedf.setAutoReverse(true);

                                // Switch muda de cor
                                FillTransition boxStage3f = new FillTransition ( Duration.millis (2000), boxStage3, (Color) boxStage3.getFill(), Color.RED );

                                ParallelTransition boxStage3Bloqued = new ParallelTransition( boxStage3Bloquedf, boxStage3f ); 
                                
                                newAnimation.getChildren().add( boxStage3Bloqued );

                            }
                            
                            else{
                            
                                // Coloca switch como ocupado
                                network.stage3.get( boxStage3ID ).busy = true;
                                
                                // Linha para <Memória - Saíra irá depender do terceiro bit do endereço da memória

                                String lineToMemoryID;
                                int bit3 = bitsFromMemoryAddress.get(2);

                                if ( bit3 == 0 ){

                                    lineToMemoryID = network.stage3.get ( boxStage3ID ).outLine1;
                                    lineToMemory = network.connections.get( lineToMemoryID ).line;
                                }

                                // bit2 == 0
                                else{

                                    lineToMemoryID = network.stage3.get ( boxStage3ID ).outLine2;
                                    lineToMemory = network.connections.get( lineToMemoryID ).line;
                                }
                                
                                // Animação do Switch do Estágio 3 e linha para Memória
                                FillTransition boxStage3T = new FillTransition ( Duration.millis (1000), boxStage3, (Color) boxStage3.getFill(), availableColor );
                                StrokeTransition lineToMemoryT = new StrokeTransition ( Duration.millis (500), lineToMemory, (Color) lineToMemory.getFill(), availableColor );
                                
                                // Retângulo da memória - animação de fade
                                String memoryID = network.connections.get( lineToMemoryID ).outElement;
                                Rectangle memoryRectangle = network.memories.get( memoryID ).rectangle;

                                FadeTransition fadeMemoryT = new FadeTransition ( Duration.millis (500), memoryRectangle );
                                fadeMemoryT.setFromValue(1.0);
                                fadeMemoryT.setToValue(0.3);
                                fadeMemoryT.setCycleCount(10);
                                fadeMemoryT.setAutoReverse(true);
                                
                                newAnimation.getChildren().addAll ( boxStage3T, lineToMemoryT, fadeMemoryT );
                            }
                        }  
                    }      
                 
                    //Adiciona animação criada no vetor de animações
                    animations.add ( newAnimation );

                }
            
            }
            
            finalAnimation = new ParallelTransition();
                        
            // Ordena as animações em Paralelo
            for ( int i = 0; i < animations.size(); i++ ){
                
                finalAnimation.getChildren().add( animations.get(i) ); 
            
            }
            
            // Inicia a animação
            finalAnimation.play();
            
        }
    }
    
    // Método para adicionar em um vetor de 3 inteiros os bits separados da memória ou processador que se deseja acessar
    private ArrayList<Integer> getBitsFromAddress ( int memory ){
    
        ArrayList<Integer> bitsFromAddress = new ArrayList<Integer>(); 
        
        switch ( memory ){
        
            case 0:
                bitsFromAddress.add (0);
                bitsFromAddress.add (0);
                bitsFromAddress.add (0);
                break;
                
            case 1:
                bitsFromAddress.add (0);
                bitsFromAddress.add (0);
                bitsFromAddress.add (1);
                break;
               
            case 2:
                bitsFromAddress.add (0);
                bitsFromAddress.add (1);
                bitsFromAddress.add (0);
                break;
               
            case 3:
                bitsFromAddress.add (0);
                bitsFromAddress.add (1);
                bitsFromAddress.add (1);
                break;
               
            case 4:
                bitsFromAddress.add (1);
                bitsFromAddress.add (0);
                bitsFromAddress.add (0);
                break;
                              
            case 5:
                bitsFromAddress.add (1);
                bitsFromAddress.add (0);
                bitsFromAddress.add (1);
                break;
              
            case 6:
                bitsFromAddress.add (1);
                bitsFromAddress.add (1);
                bitsFromAddress.add (0);
                break;
            
            case 7:
                bitsFromAddress.add (1);
                bitsFromAddress.add (1);
                bitsFromAddress.add (1);
                break;
               
            default:
                System.out.println ("ERROR: Invalid Memory Choosed");          
        
        }
    
        return bitsFromAddress;
        
    }
    
    // Retorna ID(em String) do processador a partir do seu ID em inteiro
    private String getStringIDFromProcessor ( int processor ){
        
        String processorID = "p" + processor;
        return processorID;
    }
    
    // Método para determinar à qual grupo do pane pertence o processador selecionado
    private Group getProcessorGroup ( int processorID ){
    
        Group group = null; 
        
        switch ( processorID ){
        
            case 0:
                group = p0ID;
                break;
                
            case 1:
                group = p1ID;
                break;
               
            case 2:
                group = p2ID;
                break;
               
            case 3:
                group = p3ID;
                break;
               
            case 4:
                group = p4ID;
                break;
                              
            case 5:
                group = p5ID;
                break;
              
            case 6:
                group = p6ID;
                break;
            
            case 7:
                group = p7ID;
                break;
               
            default:
                System.out.println ("ERROR: Invalid Memory Choosed");          
        
        }
    
        return group;
        
    }
    
    // Método para determinar à qual grupo do pane pertence a memória selecionada
    private Group getMemoryGroup ( int memoryID ){
    
        Group group = null; 
        
        switch ( memoryID ){
        
            case 0:
                group = m0ID;
                break;
                
            case 1:
                group = m1ID;
                break;
               
            case 2:
                group = m2ID;
                break;
               
            case 3:
                group = m3ID;
                break;
               
            case 4:
                group = m4ID;
                break;
                              
            case 5:
                group = m5ID;
                break;
              
            case 6:
                group = m6ID;
                break;
            
            case 7:
                group = m7ID;
                break;
               
            default:
                System.out.println ("ERROR: Invalid Memory Choosed");          
        
        }
    
        return group;
        
    }
    
}